unpacking constantly failing - guessit - ValueError: unused keyword argument 'abbreviations'

Support for the Debian/Ubuntu package, created by JCFP.
Forum rules
Help us help you:
  • Are you using the latest stable version of SABnzbd? Downloads page.
  • Tell us what system you run SABnzbd on.
  • Adhere to the forum rules.
  • Do you experience problems during downloading?
    Check your connection in Status and Interface settings window.
    Use Test Server in Config > Servers.
    We will probably ask you to do a test using only basic settings.
  • Do you experience problems during repair or unpacking?
    Enable +Debug logging in the Status and Interface settings window and share the relevant parts of the log here using [ code ] sections.
Post Reply
skymike
Newbie
Newbie
Posts: 6
Joined: August 6th, 2021, 11:05 am

unpacking constantly failing - guessit - ValueError: unused keyword argument 'abbreviations'

Post by skymike »

need help with some error that popped up suddenly , all was working perfectly for months .
tried reinstall problem persist
unpacking constantly failing for some reason.
cant upload log since i am a new user

User avatar
sander
Release Testers
Release Testers
Posts: 7687
Joined: January 22nd, 2008, 2:22 pm

Re: unpacking constantly failing - ValueError: unused keyword argument 'abbreviations'

Post by sander »

Post on pastebin, and URL here with spaces around dots


User avatar
sander
Release Testers
Release Testers
Posts: 7687
Joined: January 22nd, 2008, 2:22 pm

Re: unpacking constantly failing - guessit - ValueError: unused keyword argument 'abbreviations'

Post by sander »

Ah, it's a traceback in guessit, which we introduced in SABnzbd recently for sorting (AFAIK) ... yes: https://github.com/sabnzbd/sabnzbd/comm ... c5c41919d0

I guess (pun intended) that jcfp should have a look at it.

You use 3.4.0Beta1 ... Go back to a stable version if this bug is blocking for you.

Code: Select all

2021-08-06 15:47:19,424::INFO::[filesystem:319] Checking if any resulting filenames need to be sanitized
2021-08-06 15:47:19,431::INFO::[notifier:122] Sending notification: Error - Post Processing Failed for test_download_1000MB (see logfile) (type=error, job_cat=None)
2021-08-06 15:47:19,431::ERROR::[postproc:608] Post Processing Failed for test_download_1000MB (see logfile)
2021-08-06 15:47:19,431::INFO::[postproc:609] Traceback: 
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/guessit/api.py", line 192, in guessit
    config = self.configure(options, sanitize_options=False)
  File "/usr/lib/python3/dist-packages/guessit/api.py", line 163, in configure
    self.rebulk = rules_builder(advanced_config)
  File "/usr/lib/python3/dist-packages/guessit/rules/__init__.py", line 56, in rebulk_builder
    rebulk.rebulk(episodes(_config('episodes')))
  File "/usr/lib/python3/dist-packages/guessit/rules/properties/episodes.py", line 168, in episodes
    rebulk.chain(
  File "/usr/lib/python3/dist-packages/rebulk/builder.py", line 179, in regex
    return self.pattern(self.build_re(*pattern, **kwargs))
  File "/usr/lib/python3/dist-packages/rebulk/builder.py", line 107, in build_re
    return RePattern(*pattern, **kwargs)
  File "/usr/lib/python3/dist-packages/rebulk/pattern.py", line 441, in __init__
    pattern = call(re.compile, pattern, **self._kwargs)
  File "/usr/lib/python3/dist-packages/rebulk/loose.py", line 60, in call
    return function(*call_args, **call_kwargs)
  File "/usr/local/lib/python3.8/dist-packages/regex/regex.py", line 351, in compile
    return _compile(pattern, flags, ignore_unused, kwargs, _cache_all)
  File "/usr/local/lib/python3.8/dist-packages/regex/regex.py", line 602, in _compile
    raise ValueError('unused keyword argument {!a}'.format(any_one))
ValueError: unused keyword argument 'abbreviations'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/sabnzbdplus/sabnzbd/postproc.py", line 418, in process_job
    tmp_workdir_complete, workdir_complete, file_sorter, one_folder, marker_file = prepare_extraction_path(
  File "/usr/share/sabnzbdplus/sabnzbd/postproc.py", line 695, in prepare_extraction_path
    complete_dir = file_sorter.detect(nzo.final_name, complete_dir)
  File "/usr/share/sabnzbdplus/sabnzbd/sorting.py", line 319, in detect
    guess = guess_what(job_name)
  File "/usr/share/sabnzbdplus/sabnzbd/sorting.py", line 597, in guess_what
    guess = guessit.api.guessit(digit_fix + name, options=guessit_options)
  File "/usr/lib/python3/dist-packages/guessit/api.py", line 71, in guessit
    return default_api.guessit(string, options)
  File "/usr/lib/python3/dist-packages/guessit/api.py", line 222, in guessit
    raise GuessitException(string, options)
guessit.api.GuessitException: An internal error has occured in guessit.
===================== Guessit Exception Report =====================
version=3.1.0
string=test_download_1000MB
options={'expected_title': [], 'excludes': ['part']}
--------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/guessit/api.py", line 192, in guessit
    config = self.configure(options, sanitize_options=False)
  File "/usr/lib/python3/dist-packages/guessit/api.py", line 163, in configure
    self.rebulk = rules_builder(advanced_config)
  File "/usr/lib/python3/dist-packages/guessit/rules/__init__.py", line 56, in rebulk_builder
    rebulk.rebulk(episodes(_config('episodes')))
  File "/usr/lib/python3/dist-packages/guessit/rules/properties/episodes.py", line 168, in episodes
    rebulk.chain(
  File "/usr/lib/python3/dist-packages/rebulk/builder.py", line 179, in regex
    return self.pattern(self.build_re(*pattern, **kwargs))
  File "/usr/lib/python3/dist-packages/rebulk/builder.py", line 107, in build_re
    return RePattern(*pattern, **kwargs)
  File "/usr/lib/python3/dist-packages/rebulk/pattern.py", line 441, in __init__
    pattern = call(re.compile, pattern, **self._kwargs)
  File "/usr/lib/python3/dist-packages/rebulk/loose.py", line 60, in call
    return function(*call_args, **call_kwargs)
  File "/usr/local/lib/python3.8/dist-packages/regex/regex.py", line 351, in compile
    return _compile(pattern, flags, ignore_unused, kwargs, _cache_all)
  File "/usr/local/lib/python3.8/dist-packages/regex/regex.py", line 602, in _compile
    raise ValueError('unused keyword argument {!a}'.format(any_one))
ValueError: unused keyword argument 'abbreviations'
--------------------------------------------------------------------
Please report at https://github.com/guessit-io/guessit/issues.
====================================================================

skymike
Newbie
Newbie
Posts: 6
Joined: August 6th, 2021, 11:05 am

Re: unpacking constantly failing - guessit - ValueError: unused keyword argument 'abbreviations'

Post by skymike »

cant get external access to work, and im going insane

downgraded however now I'm blocked from external access , changed "inet_exposure = 0" fail to start

"inet_exposure = 0" set to 5

nothing happens ERR_CONNECTION_REFUSED
tried everything, any advise ?


Puzzled
Full Member
Full Member
Posts: 118
Joined: September 2nd, 2017, 3:02 am

Re: unpacking constantly failing - guessit - ValueError: unused keyword argument 'abbreviations'

Post by Puzzled »

The original problem may be related to an issue in the regex package.
https://github.com/morpheus65535/bazarr/issues/771

User avatar
sander
Release Testers
Release Testers
Posts: 7687
Joined: January 22nd, 2008, 2:22 pm

Re: unpacking constantly failing - guessit - ValueError: unused keyword argument 'abbreviations'

Post by sander »

I think the CLI option is

Code: Select all

--inet_exposure 5

skymike
Newbie
Newbie
Posts: 6
Joined: August 6th, 2021, 11:05 am

Re: unpacking constantly failing - guessit - ValueError: unused keyword argument 'abbreviations'

Post by skymike »

I changed it in the INI configuration file , I’ll try running it with this

skymike
Newbie
Newbie
Posts: 6
Joined: August 6th, 2021, 11:05 am

Re: unpacking constantly failing - guessit - ValueError: unused keyword argument 'abbreviations'

Post by skymike »

Hostname verification was the issue in the end, thanks anyway for the help

Post Reply